Version 1.62r unter Windows7

  • Ich verwende seit Jahren The Bat! v1.62r unter WinXP, bin zufrieden und sehe keinen Grund zum Update. Nun "muss" ich mir leider einen neuen Rechner mit Windows7 zulegen...
    Meine Frage: Läuft The Bat! v1.62r unter Windows7 problemlos? Wer hat Erfahrungen? Gibt es etwas zu beachten?


    Danke schon mal!
    Steve

  • Am besten du sicherst dein Mailverzeichnis wie in Übersicht zur manuellen Sicherung/Wiederherstellung beschrieben.


    Möglicherweise funktioniert diese 10 Jahre alte TheBat!-Version im XP-Kompatibilitätsmodus von Windows 7. Das ist aber keine Garantie. Ich habe die Erfahrung gemacht, dass diverse ältere Programme bei mir unter Windows 7 Anzeigefehler in Listen, Dialogen aufwiesen.


    ich sehe eher ein Problem darin, dass XP und Windows 7 ganz andere Nutzerverzeichnisse haben.
    Du musst also deine Mails, die wohl in XP unter C:\Dokumente und Einstellungen\DEINNAME\The Bat! stehen, in 7 nach
    C:\Users\DEINNAME\Appdata\Roaming\The Bat! kopieren.
    TheBat sollte dann beim Start erkennen, dass dort Mailkonten sind und diese übernehmen.


    Alles ohne Garantie.

    The Bat! Pro 10.x BETA (32bit) | Win 11 Pro x64 | GnuPG 2.3.x | XMP + Regula


    Wer mich Er oder der Drache nennt, bekommt von der Drachin Pratze und Feuer zu spüren.

  • Kurztest mit der Version 1.62 von der Ritlabs-Webseite und Windows 7 64 bit:
    Installation klappt, Kontoerstellungs-Wizard kommt, läuft durch, The Bat startet auch das erste mal, ab dem zweiten Mal aber nur im Windows-XP-Kompatibilitätsmodus. Das Installationsverzeichnis war das Programm-Verzeichnis, das Mailverzeichnis wurde bei der Installation in das Nutzerverzeichnis gelegt. Anzeigefehler habe ich auf die Schnelle keine bemerkt.

  • ich sehe eher ein Problem darin, dass XP und Windows 7 ganz andere Nutzerverzeichnisse haben.

    Dies spielt wiederum nur dann eine Rolle, wenn sich das MAIL-Verzeichnis im Nutzerverzeichnis und nicht z.B. im Programmverzeichnis oder auf einer anderen Partition befindet.


    Zu dem Programmverzeichnis ist noch zu sagen, dass TB! ein 32-Bit-Programm ist und, wenn man von einem 32-Bit XP auf ein 64-Bit W7 wechselt, es standardmäßig im Verzeichnis "C:\Program Files (x86)\" und nicht unter "C:\Program Files\" bzw. "C:\Programme" installiert wird. Das mit "(x86)" müsste man dann also über Registry oder das Programm selbst anpassen, falls man z.B. Einstellungen etc. wiederherstellt.


    Ansonsten hat TB! erst mit v4.2.10 das W7 Logo erhalten und ist damit erst seit dieser Version vollständig zu W7 kompatibel (vgl. hier).



    Edit:
    Noch ein Hinweis. Die Lizenz für v1.x gilt auch für v2.00 Beta 1, die man z.B. von hier herunterladen kann. Außerdem gibt es noch v1.62t und verschiedene 1.63 Betas (alle hier). Einen Changelog findet man in der Datei README.TXT aus irgendeinem v2.x Setup.